'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
	async up(queryInterface, Sequelize) {
		await queryInterface.addColumn('hotel_bookings', 'status', {
			type: Sequelize.ENUM('Unpaid', 'Pending', 'Completed', 'Cancelled'),
			allowNull: false,
			defaultValue: 'Unpaid',
		});
	},

	async down(queryInterface, Sequelize) {
		await queryInterface.removeColumn('hotel_bookings', 'status');
	},
};
